Index: PostgreSqlDotnetCore/Views/Blog/Details.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/Blog/Details.cshtml	(revision e9bb9d13e39b1e74f76562e3471e4189febd2a22)
+++ PostgreSqlDotnetCore/Views/Blog/Details.cshtml	(revision e90ba32557c3c52a93ec0b76184f5617270553ce)
@@ -77,10 +77,22 @@
 
                 <td>
-                    @Html.ActionLink("Edit", "Edit", "BlogPostAnswers", new { id = item.id }) |
-                    @Html.ActionLink("Details", "Details", "BlogPostAnswers", new { id = item.id }) |
-                    @Html.ActionLink("Delete", "Delete", "BlogPostAnswers", new { id = item.id })
-
+                  
+                    @Html.ActionLink("Details", "Details", "BlogPostAnswers", new { id = item.id }) 
                     @Html.ActionLink("Create an Answer", "Create", "BlogPostAnswers", new { id = item.BlogPostConsultationid, parentId = item.id })
                 </td>
+
+                @if (item.usersid == ViewBag.CurrentUserId)
+
+                {
+                    <td>
+                       
+                        @Html.ActionLink("Edit", "Edit", "BlogPostAnswers", new { id = item.id })
+                        @Html.ActionLink("Delete", "Delete", "BlogPostAnswers", new { id = item.id })
+                        
+
+                    </td>
+                }
+
+
             </tr>
         }
@@ -90,5 +102,15 @@
 <p>
     @Html.ActionLink("Create an Answer", "Create", "BlogPostAnswers", new { id = Model.id, parentId = Model.id })
-    @Html.ActionLink("Edit", "Edit", new { id = Model.id }) |
     @Html.ActionLink("Back to List", "Index")
 </p>
+
+
+@if (Model.users_id == ViewBag.CurrentUserId)
+
+{
+    <p>
+        @Html.ActionLink("Edit", "Edit", new { id = Model.id })
+       
+
+    </p>
+}
Index: PostgreSqlDotnetCore/Views/Blog/Index.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/Blog/Index.cshtml	(revision e9bb9d13e39b1e74f76562e3471e4189febd2a22)
+++ PostgreSqlDotnetCore/Views/Blog/Index.cshtml	(revision e90ba32557c3c52a93ec0b76184f5617270553ce)
@@ -1,3 +1,3 @@
-﻿@model IEnumerable<PostgreSqlDotnetCore.Models.BlogPostConsultation>
+﻿@model IEnumerable<PostgreSqlDotnetCore.Models.BlogUsers>
 
 @{
@@ -14,14 +14,20 @@
 
         <th>
-            @Html.DisplayNameFor(model => model.date_askes)
+            @Html.DisplayNameFor(model => model.id)
         </th>
         <th>
-            @Html.DisplayNameFor(model => model.title)
+            @Html.DisplayNameFor(model => model.user_name)
         </th>
         <th>
-            @Html.DisplayNameFor(model => model.description)
+            @Html.DisplayNameFor(model => model.user_email)
         </th>
         <th>
-            @Html.DisplayNameFor(model => model.users_id)
+            @Html.DisplayNameFor(model => model.consultation_title)
+        </th>
+        <th>
+            @Html.DisplayNameFor(model => model.consultation_description)
+        </th>
+        <th>
+            @Html.DisplayNameFor(model => model.consultation_date)
         </th>
         <th></th>
@@ -33,16 +39,21 @@
         <tr>
             <td>
-                @Html.DisplayFor(modelItem => item.date_askes)
+                @Html.DisplayFor(modelItem => item.id)
             </td>
             <td>
-                @Html.DisplayFor(modelItem => item.title)
+                @Html.DisplayFor(modelItem => item.user_name)
             </td>
-
             <td>
-                @Html.DisplayFor(modelItem => item.description)
+                @Html.DisplayFor(model => item.user_email)
             </td>
-            <th>
-                @Html.DisplayFor(model => item.users_id)
-            </th>
+            <td>
+                @Html.DisplayFor(modelItem => item.consultation_title)
+            </td>
+            <td>
+                @Html.DisplayFor(modelItem => item.consultation_description)
+            </td>
+            <td>
+                @Html.DisplayFor(modelItem => item.consultation_date)
+            </td>
 
             @*<td>
